<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hdgf.streams.StreamStore (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hdgf.streams.StreamStore (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hdgf/streams/StreamStore.html"
               title="class in org.apache.poi.hdgf.streams">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hdgf/streams/class-use/StreamStore.html" target="_top">Frames</a>
        </li>
        <li><a href="StreamStore.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hdgf.streams.StreamStore" class="title">Uses of Class<br>org.apache.poi.hdgf.streams.StreamStore
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/hdgf/streams/StreamStore.html"
                        title="class in org.apache.poi.hdgf.streams">StreamStore</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hdgf.streams">org.apache.poi.hdgf.streams</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hdgf.streams">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hdgf/streams/StreamStore.html"
                                   title="class in org.apache.poi.hdgf.streams">StreamStore</a> in <a
                            href="../../../../../../org/apache/poi/hdgf/streams/package-summary.html">org.apache.poi.hdgf.streams</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../../org/apache/poi/hdgf/streams/StreamStore.html"
                                title="class in org.apache.poi.hdgf.streams">StreamStore</a> in <a
                                href="../../../../../../org/apache/poi/hdgf/streams/package-summary.html">org.apache.poi.hdgf.streams</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hdgf/streams/CompressedStreamStore.html"
                                    title="class in org.apache.poi.hdgf.streams">CompressedStreamStore</a></span></code>
                                <div class="block">A StreamStore where the data on-disk is compressed,
                                    using the crazy Visio LZW
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hdgf/streams/package-summary.html">org.apache.poi.hdgf.streams</a> that return <a
                                href="../../../../../../org/apache/poi/hdgf/streams/StreamStore.html"
                                title="class in org.apache.poi.hdgf.streams">StreamStore</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hdgf/streams/StreamStore.html"
                                    title="class in org.apache.poi.hdgf.streams">StreamStore</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Stream.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hdgf/streams/Stream.html#Z:Z_getStore--">_getStore</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/hdgf/streams/StreamStore.html"
                                    title="class in org.apache.poi.hdgf.streams">StreamStore</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Stream.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hdgf/streams/Stream.html#getStore--">getStore</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/hdgf/streams/package-summary.html">org.apache.poi.hdgf.streams</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hdgf/streams/StreamStore.html"
                                title="class in org.apache.poi.hdgf.streams">StreamStore</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hdgf/streams/ChunkStream.html#ChunkStream-org.apache.poi.hdgf.pointers.Pointer-org.apache.poi.hdgf.streams.StreamStore-org.apache.poi.hdgf.chunks.ChunkFactory-">ChunkStream</a></span>(<a
                                    href="../../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
                                    title="class in org.apache.poi.hdgf.pointers">Pointer</a>&nbsp;pointer,
                                <a href="../../../../../../org/apache/poi/hdgf/streams/StreamStore.html"
                                   title="class in org.apache.poi.hdgf.streams">StreamStore</a>&nbsp;store,
                                <a href="../../../../../../org/apache/poi/hdgf/chunks/ChunkFactory.html"
                                   title="class in org.apache.poi.hdgf.chunks">ChunkFactory</a>&nbsp;chunkFactory)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hdgf/streams/PointerContainingStream.html#PointerContainingStream-org.apache.poi.hdgf.pointers.Pointer-org.apache.poi.hdgf.streams.StreamStore-org.apache.poi.hdgf.chunks.ChunkFactory-org.apache.poi.hdgf.pointers.PointerFactory-">PointerContainingStream</a></span>(<a
                                    href="../../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
                                    title="class in org.apache.poi.hdgf.pointers">Pointer</a>&nbsp;pointer,
                                <a href="../../../../../../org/apache/poi/hdgf/streams/StreamStore.html"
                                   title="class in org.apache.poi.hdgf.streams">StreamStore</a>&nbsp;store,
                                <a href="../../../../../../org/apache/poi/hdgf/chunks/ChunkFactory.html"
                                   title="class in org.apache.poi.hdgf.chunks">ChunkFactory</a>&nbsp;chunkFactory,
                                <a href="../../../../../../org/apache/poi/hdgf/pointers/PointerFactory.html"
                                   title="class in org.apache.poi.hdgf.pointers">PointerFactory</a>&nbsp;pointerFactory)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hdgf/streams/Stream.html#Stream-org.apache.poi.hdgf.pointers.Pointer-org.apache.poi.hdgf.streams.StreamStore-">Stream</a></span>(<a
                                    href="../../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
                                    title="class in org.apache.poi.hdgf.pointers">Pointer</a>&nbsp;pointer,
                                <a href="../../../../../../org/apache/poi/hdgf/streams/StreamStore.html"
                                   title="class in org.apache.poi.hdgf.streams">StreamStore</a>&nbsp;store)</code>
                                <div class="block">Creates a new Stream, having already used the pointer
                                    to build a store
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hdgf/streams/StringsStream.html#StringsStream-org.apache.poi.hdgf.pointers.Pointer-org.apache.poi.hdgf.streams.StreamStore-org.apache.poi.hdgf.chunks.ChunkFactory-">StringsStream</a></span>(<a
                                    href="../../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
                                    title="class in org.apache.poi.hdgf.pointers">Pointer</a>&nbsp;pointer,
                                <a href="../../../../../../org/apache/poi/hdgf/streams/StreamStore.html"
                                   title="class in org.apache.poi.hdgf.streams">StreamStore</a>&nbsp;store,
                                <a href="../../../../../../org/apache/poi/hdgf/chunks/ChunkFactory.html"
                                   title="class in org.apache.poi.hdgf.chunks">ChunkFactory</a>&nbsp;chunkFactory)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hdgf/streams/TrailerStream.html#TrailerStream-org.apache.poi.hdgf.pointers.Pointer-org.apache.poi.hdgf.streams.StreamStore-org.apache.poi.hdgf.chunks.ChunkFactory-org.apache.poi.hdgf.pointers.PointerFactory-">TrailerStream</a></span>(<a
                                    href="../../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
                                    title="class in org.apache.poi.hdgf.pointers">Pointer</a>&nbsp;pointer,
                                <a href="../../../../../../org/apache/poi/hdgf/streams/StreamStore.html"
                                   title="class in org.apache.poi.hdgf.streams">StreamStore</a>&nbsp;store,
                                <a href="../../../../../../org/apache/poi/hdgf/chunks/ChunkFactory.html"
                                   title="class in org.apache.poi.hdgf.chunks">ChunkFactory</a>&nbsp;chunkFactory,
                                <a href="../../../../../../org/apache/poi/hdgf/pointers/PointerFactory.html"
                                   title="class in org.apache.poi.hdgf.pointers">PointerFactory</a>&nbsp;pointerFactory)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hdgf/streams/UnknownStream.html#UnknownStream-org.apache.poi.hdgf.pointers.Pointer-org.apache.poi.hdgf.streams.StreamStore-">UnknownStream</a></span>(<a
                                    href="../../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
                                    title="class in org.apache.poi.hdgf.pointers">Pointer</a>&nbsp;pointer,
                                <a href="../../../../../../org/apache/poi/hdgf/streams/StreamStore.html"
                                   title="class in org.apache.poi.hdgf.streams">StreamStore</a>&nbsp;store)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hdgf/streams/StreamStore.html"
               title="class in org.apache.poi.hdgf.streams">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hdgf/streams/class-use/StreamStore.html" target="_top">Frames</a>
        </li>
        <li><a href="StreamStore.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
